Loading...
Searching...
No Matches
seqan3::sequence_file_output_options Struct Reference
IO » Sequence File

The options type defines various option members that influence the behaviour of all or some formats. More...

`#include <seqan3/io/sequence_file/output_options.hpp>`

## Public Attributes

bool | add_carriage_return = false
| The default plain text line-ending is "\n", but on Windows an additional carriage return is recommended ("\r\n" for line-ending).
bool | embl_genbank_complete_header = false
| Complete header given for embl or genbank.
bool | fasta_blank_before_id = false
| Insert a single space after ">" (or ";") before the actual ID.
bool | fasta_legacy_id_marker = false
| Begin the ID line with ";" instead of ">" (not recommended).
uint32_t | fasta_letters_per_line = 80
| Inserts linebreaks after every n-th letter in the sequence; 0 means no linebreaks.
bool | fastq_double_id = false
| Whether to write the ID only '@' or also after '+' line.

## Detailed Description

The options type defines various option members that influence the behaviour of all or some formats.

Remarks
  For a complete overview, take a look at Sequence File

The documentation for this struct was generated from the following file:

- sequence_file/output_options.hpp

Hide me